#!/bin/sh

#make gen_sfd

#                        rho [g/cm^3] d1 [km]  d2    d3    d4     qa    qb     qc    qd    qe    dmin        dmax   d_norm  n_norm  boulder_mfactor
./boulder/main/gen_sfd5  3.0          100.     15.   3.6   0.1    -4.55 -2.5  -3.6  -2.6  -3.7  0.000000100 4000.  100.    230.    1.5  > sfd1.dat	# MB-like, less populous to get fit @ t = 0.3 Gyr, adjusted scaling law, steeper due to scaling law
./boulder/main/gen_sfd5  3.0          100.     15.   3.6   0.1    -4.55 -2.5  -3.6  -2.6  -3.7  0.000000100 4000.  100.    0.      1.5  > sfd2.dat	# initial NEA
#./boulder/main/gen_sfd5  3.71         2.25     1.0   0.5   0.01   -7.5  -7.5  -3.7  -3.7  -3.7  0.000000100 4000.  2.25    300.    1.5  > sfd3.dat	# initial Massalia
./boulder/main/gen_sfd5  3.71         2.25     1.0   0.5   0.01   -6.7  -6.7  -6.7  -4.0  -4.0  0.000000100 4000.  2.25     75.    1.5  > sfd3.dat	# initial Massalia
./boulder/main/gen_sfd5  3.71         2.25     1.5   0.5   0.01   -6.7  -6.7  -4.2  -4.2  -4.2  0.000000100 4000.  2.25     75.    1.5  > sfd4.dat	# initial Massalia2

./realsfd.awk       < sfd1.dat > sfd1.dat_EDITED
./realnea.awk       < sfd2.dat > sfd2.dat_EDITED
./realmassalia.awk  < sfd3.dat > sfd3.dat_EDITED
./realmassalia2.awk < sfd4.dat > sfd4.dat_EDITED

# HERINAFTER, USE PREVIOUS SIMULATION FOR MB, NEA! CF. 003 INSTEAD 001
awk '($2==1)' ../../71_1_MB_Massalia_LOWCOLLPROB/002/tmp/0430.000.out | ./hd.awk > sfd1.dat_EDITED
awk '($2==2)' ../../71_1_MB_Massalia_LOWCOLLPROB/002/tmp/0430.000.out | ./hd.awk > sfd2.dat_EDITED
awk '($2==3)' ../../71_1_MB_Massalia_LOWCOLLPROB/002/tmp/0430.000.out | ./hd.awk > sfd3.dat_EDITED

# HEREINAFTER, USE ZERO FOR MASSALIA2!
#./boulder/main/gen_sfd5  3.71         2.25     1.0   0.5   0.01   -6.7  -6.7  -6.7  -4.0  -4.0  0.000000100 4000.  2.25      0.    1.5  > sfd4.dat	# initial Massalia2
#cp sfd4.dat sfd4.dat_EDITED

./mtot.awk sfd*.dat_EDITED

./boulder/main/gen_ic < gen_ic.in
./gen_sfd.plt

exit




